

jQuery(window).on('load', function(){

if(jQuery('#main-content').get(0)){ 
	jQuery('body').data('entexResizing', null);
	var entexResizeTimer;
	entexResizeTimer = setTimeout(entex_fillHeight, 100);
	jQuery(window).on('resize', function(){
		if(jQuery('body').data('entexResizing')) return;
		clearTimeout(entexResizeTimer);
		entexResizeTimer = setTimeout(entex_fillHeight, 100);
	});
}
});

jQuery(document).ready(function($){

entex_init_navigationExpander();
$('a[role=button]').on('keydown', function(e){
	if(e.which === 32) $(this).trigger('click');
});


$('.wp-video-shortcode').removeAttr('poster');
$(document).on('click', '.ua-layer-caption > a + figcaption', function(){
	$(this).prev('a').trigger('click');
	return false;
});
entex_init_articleExpander();
entex_crumbsExpander_init();
//entex_formLabels_init();

$('footer').each(function(){
	if(!$(this).children().get(0)) $(this).remove();
});

/*
$('.ua-is-splash').click(function(e){
	var prefix = "ua-is-splash";
	var el = $('body').get(0);
	var classes = el.className.split(' ').filter(function(c) {
		return c.lastIndexOf(prefix, 0) !== 0;
	});
	el.className = classes.join(' ').trim();
});
*/

init_entexLoading()
if(!$('html').hasClass('ua-is-touches')){
	$('select, input, textarea').on('touchstart', ua_add_fontsize);
	$('select, input, textarea').on('blur', ua_remove_fontsize);
}
entex_init_responsiveTabs();
init_entexFaders();
entex_init_menues();

if($('#wpadminbar .ab-sub-wrapper').get(0)) entex_adminbarHoverintent();


$('#ua-id-fillout').on('click', ua_scrollTop);
});

function entex_init_navigationExpander(){

	var pre_nav = false;
	var social_nav = false;
	if(jQuery('#ua-id-navigation-top').get(0)) pre_nav = true;
	if(jQuery('#ua-id-navigation-social').get(0)) social_nav = true;

	var jQuerybutton = jQuery('#ua-nav-expander');
	window.addEventListener('orientationchange', entex_restore_navExpander);

	var txt_close = jQuerybutton.attr('data-menu-close');
	jQuerybutton.data('initial', jQuerybutton.find('.screen-reader-text').text());
	jQuerybutton.data('initial-focus', 1);

	var jQueryel = jQuery('#ua-id-skip-navigation');
	jQueryel.click(function(){
		jQuery('#ua-nav-expander').trigger('click').focus();
		return false;
	}).data('initial', jQueryel.text());

	jQuery('#ua-id-skip-content').click(function(){
		if(jQuery('body').hasClass('ua-navigation-is-expanded')){
			jQuerybutton.data('initial-focus', 0).trigger('click');
		}
		return true;
	});
	
	jQuerybutton.click(function(e){

		e.stopImmediatePropagation();
		if(jQuery('body').hasClass('ua-fn-no-event')) return false;

		jQuery('body').toggleClass('ua-navigation-is-expanded');
		jQuery('body').addClass('ua-fn-no-event');
		var first = jQuery('.ua-nav-wr a').get(0);

		jQuery('#ua-id-navigation').slideToggle(500, function(){
			if(social_nav) jQuery('#ua-id-navigation-social').toggle();
			if(pre_nav){
				jQuery('#ua-id-navigation-top').slideToggle(500, function(){
					jQuery('html, body').animate({ scrollTop: 1 }, 200);
					if(jQuery('body').hasClass('ua-navigation-is-expanded')){
						if(jQuerybutton.data('initial-focus')) jQuery(first).focus();
						jQuerybutton.data('initial-focus', 1);
						jQueryel.text(txt_close);
						jQuerybutton.find('.screen-reader-text').text(txt_close);
					} else {
						jQueryel.text(jQueryel.data('initial'));
						jQuerybutton.data('initial-focus', 1).find('.screen-reader-text').text(jQuerybutton.data('initial'));
					}
					jQuery('body').removeClass('ua-fn-no-event');
				});
			} else {
				jQuery('html, body').animate({ scrollTop: 1 }, 200);
				if(jQuery('body').hasClass('ua-navigation-is-expanded')){
					if(jQuerybutton.data('initial-focus')) jQuery(first).focus();
					jQuerybutton.data('initial-focus', 1);
					jQueryel.text(txt_close);
					jQuerybutton.find('.screen-reader-text').text(txt_close);
				} else {
					jQueryel.text(jQueryel.data('initial'));
					jQuerybutton.data('initial-focus', 1).find('.screen-reader-text').text(jQuerybutton.data('initial'));
				}
				jQuery('body').removeClass('ua-fn-no-event');
			}
		});
		return false;
	});
}


function entex_restore_navExpander(){

	var active = jQuery('body').data('ua-menu-mix-active');
	if(active){
		jQuery(active).hide().css('left', '0px').parent().removeClass('ua-menuout').removeClass('ua-fn-sel');
		jQuery('body').data('ua-menu-mix-active', 0);
	}
	
	if(jQuery('body').hasClass('QQua-navigation-is-expanded')){
		jQuery('#ua-pre-nav').hide();
		jQuery('#ua-nav').hide().insertAfter(jQuery('#ua-header'));
		jQuery('#ua-social-nav').hide().insertAfter(jQuery('#ua-nav'));
		jQuery('body').removeClass('ua-fn-nav-expander-active');
	} 

	jQuery('.ua-menu-mix > ul > li').removeClass('ua-active').children('ul').hide();
}
function entex_init_articleExpander(){

	jQuery('.ua-expander.ua-not-main').addClass('ua-tmp-not-main');
	jQuery('.ua-expander.ua-is-closed').addClass('ua-tmp-is-closed');
	jQuery('.entry-exp-heading').closest('.ua-expander').addClass('ua-tmp-is-heading');
	jQuery('.ua-expander').append(jQuery('<input/>').attr('type', 'button').addClass('ua-expander-close ua-button').val('Close expanded article'));

	/* note expander || expanded */
	jQuery(document).on('click', '.ua-expander > .ua-expander-close, .ua-expander:not(.ua-is-expanded) > .ua-expander-open, .ua-expander.ua-is-expanded > .post-thumbnail > a:first-child', function(event){

		event.preventDefault();
		entex_articleExpander_galleryClose(this);
		var jQuerywr = jQuery(this).closest('.ua-expander');

		/* needed for CSS effects */
		jQuerywr.siblings('.ua-expander.ua-is-expanded').addClass('ua-tmp-closing');

		/* restore classname */
		jQuerywr.siblings('.ua-expander.ua-is-expanded.ua-tmp-not-main').addClass('ua-not-main');
		jQuerywr.siblings('.ua-expander.ua-is-expanded.ua-tmp-is-closed').addClass('ua-is-closed');
		jQuerywr.siblings('.ua-expander.ua-is-expanded.ua-tmp-is-heading').find('.entry-exp-heading').removeClass('entry-heading');
		jQuerywr.siblings('.ua-expander.ua-is-expanded').removeClass('ua-is-expanded');

		/* current add || restore */
		if(jQuerywr.hasClass('ua-tmp-not-main')) jQuerywr.toggleClass('ua-not-main');
		if(jQuerywr.hasClass('ua-tmp-is-closed')) jQuerywr.toggleClass('ua-is-closed');
		if(jQuerywr.hasClass('ua-tmp-is-heading')) jQuerywr.find('.entry-exp-heading').toggleClass('entry-heading');

		jQuerywr.toggleClass('ua-is-expanded');
		jQuery('html, body').stop().animate({ scrollTop: (jQuerywr.offset().top) - 50 }, 500, function(){
			jQuery('.ua-tmp-colsing').removeClass('ua-tmp-colsing'); 
		});
		
		
		return false;
	});
}

function entex_articleExpander_galleryClose(obj){
	var open = jQuery('.gallery-item.ua-gallery-is-expanded a').get(0);
	if(open){
		jQuery(open).trigger('click');
	}
}
function entex_crumbsExpander_init(){
	if(jQuery('body').hasClass('ua-crumbs-all')) return false;
	if(jQuery('body').hasClass('ua-crumbs-wpseo')){
		if(jQuery('.ua-crumbs span span span span').get(0)){
			jQuery('.ua-crumbs').addClass('ua-crumbs-expander');
		} else return false;
	} else {
		if(jQuery('.ua-crumbs > a + a').get(0)){
			jQuery('.ua-crumbs').addClass('ua-crumbs-expander');
		} else return false;
	}
	jQuery('.ua-crumbs-expander').click(function(e){
		jQueryobj = jQuery(e.target);
		if(!jQueryobj.hasClass('ua-crumbs')) return true;
		jQueryobj.toggleClass('ua-crumbs-expanded');
		return false;
	});
}

function entex_formLabels_init(){
	jQuery('[type="checkbox"], [type="radio"]').parent('label').addClass('ua-init-label');
	jQuery('[type="checkbox"], [type="radio"]').prev('label').addClass('ua-init-label');
}


function init_entexLoading(){

	jQuery('a.ajax_add_to_cart').addClass('ua-fn-loading-false');
	jQuery('#send_product_enquiry').addClass('ua-fn-loading-false');
	jQuery('.acf-button[type=submit]').addClass('ua-fn-loading-false');

	jQuery(document).ajaxStop(function(){
		jQuery('.ua-fn-go').removeClass('ua-button-loading ua-loading loading ua-fn-go');
	});

	/* a button */
	jQuery(document).on('click', 'a[href*="http"].button:not([rel]), a.wc-forward', function(event){

		if(jQuery(this).hasClass('ua-fn-go')){
			return true;
		}
		if(jQuery(this).hasClass('ua-fn-loading-false')) return true;
		event.preventDefault();
		if(jQuery(this).css('display') == 'inline') jQuery(this).css('display', 'block');
		var obj = this;
		jQuery(obj).addClass('ua-button-loading ua-fn-go').css('position', 'relative');

		setTimeout(function(){ 
			obj.click();
			return true;
		}, 500);
	});

	/* entry images */
	jQuery(document).on('click', '.article-is-loop .ua-framed > a', function(event){

		if(jQuery(this).is('[class*="expanded"] a')) return true;
		if(jQuery(this).hasClass('ua-fn-go')) return true;
		if(jQuery(this).hasClass('ua-fn-loading-false')) return true;
		event.preventDefault();
		if(jQuery(this).css('display') == 'inline') jQuery(this).css('display', 'block');
		var obj = this;
		jQuery(obj).addClass('ua-button-loading ua-fn-go').css('position', 'relative');
		setTimeout(function(){ 
			obj.click();
			return true;
		}, 500);
	});

	/* pagination and comments */
	jQuery(document).on('click', '.nav-links a > span, .pagination a, #respond h5 a', function(event){

		if(jQuery(this).is('[class*="disabled"]')) return true;
		if(jQuery(this).hasClass('ua-fn-go')) return true;
		if(jQuery(this).hasClass('ua-fn-loading-false')) return true;
		event.preventDefault();
		var obj = this;
		jQuery(obj).addClass('ua-button-loading ua-fn-go').css('position', 'relative');
		setTimeout(function(){ 
			obj.click();
			return true;
		}, 500);
	});

	/* button button */
	jQuery(document).on('click', 'button.submit, button[type="submit"], button[name="submit"], button[name="login"], button[name="register"]', function(event){

		if(jQuery(this).is('[class*="disabled"]')) return true;
		if(jQuery(this).hasClass('ua-fn-go')){
			return true;
		}
		if(jQuery(this).hasClass('ua-fn-loading-false')) return true;
		event.preventDefault();
		var obj = this;
		if(jQuery(obj).find('img').get(0)) jQuery(obj).css('display', 'block');
		jQuery(obj).addClass('ua-button-loading ua-fn-go').css('position', 'relative');
		setTimeout(function(){ 
			obj.click();
			return true;
		}, 500);
	});

	/* input type submit */
	jQuery(document).on('click', 'input[type="submit"]:not(":disabled")', function(event){
		if(jQuery(this).hasClass('ua-fn-go')){
			return true;
		}
		if(jQuery(this).hasClass('ua-fn-loading-false')) return true;
		event.preventDefault();
		var obj = this;
		if(jQuery(obj).find('img').get(0)) jQuery(obj).css('display', 'block');
		jQuery(obj).addClass('ua-input-loading ua-fn-go').css('position', 'relative');
		setTimeout(function(){ 
			obj.click();
			return true;
		}, 500);
	});
}

function ua_add_fontsize(e){	
	jQueryobj = jQuery(e.target);
	var d = jQueryobj.css('font-size');
 	jQueryobj.data('d', d).css('font-size', '16px');
}

function ua_remove_fontsize(e){	
	jQueryobj = jQuery(e.target);
 	jQueryobj.css('font-size', jQueryobj.data('d'));
}
function entex_init_responsiveTabs(){
	if(!jQuery('.ua-row-tabs a').get(0)) return;

	jQuery(document).on('click', '.ua-row-tabs a', function(){
		if(!jQuery(this).attr('href')) return false;
		jQuery('.ua-row-tabs .selected').removeClass('selected');
		var target = jQuery(this).attr('href');
		jQuery('.ua-row-tabs').find('[href="' + target + '"]').parent().addClass('selected');
		jQuery('html, body').stop().animate({ scrollTop: (jQuery(target).offset().top) - 1 }, 500);
		// entex_responsiveTabs(this);
		return false;
	});
	
}

function entex_responsiveTabs(obj){
	jQuerywr = jQuery(obj).closest('.ua-row-tabs');
	jQuerywr.find('a').each(function(){
		entex_responsiveTabsPopulate(this);
	});


}

function entex_responsiveTabsPopulate(obj){
	jQueryobj = jQuery(obj);
	if(!jQueryobj.attr('href')){
		jQueryobj.remove();
		return false;
	}
	var target = jQuery(obj).attr('href');
	if(jQuery('body').find(target).get(0)) {
		jQueryobj.remove();
		return false;
	}
	jQuerytarget = jQuery(target);

	if(jQuerytarget.is('[class*="ua-col-"]')){
		jQueryparentCol = jQuerytarget;
	} else {
		jQueryparentCol = jQuerytarget.closest('[class*="ua-col-"]');
	}

}
function init_entexFaders(){
	if(!jQuery('.entex-fader').get(0)) return;
	jQuery('div.entex-fader.wp-block-group').removeClass('entex-fader').find('div.wp-block-group__inner-container').addClass('entex-fader');
	jQuery('div.entex-fader-buttons.wp-block-group').removeClass('entex-fader-buttons').find('.wp-block-group__inner-container').addClass('entex-fader-buttons');
	jQueryobjects = jQuery('.entex-fader');
	jQueryobjects.each(function(){
		init_entexFader(this);
	});
}

function is_entexFader_inView(el){
	let box = el.getBoundingClientRect();
	return box.top < window.innerHeight && box.bottom >= 0;
}

function init_entexFader(obj){

	var jQueryobj = jQuery(obj);
	var jQueryfaders = jQueryobj.children();
	if(jQueryfaders.length == 1) return;

	if(jQueryobj.attr('data-duration')){
		var duration = jQueryobj.attr('data-duration');
	} else var duration = 3000;

	var number = jQueryfaders.length;
	var jQuerywr = jQuery('<div />').addClass('ua-fader-buttons');

	if(jQueryfaders.first().find('.post-thumbnail').get(0)){
		jQuerywr.addClass('ua-fader-buttons-positioned');
	} else {
		jQuerywr.addClass('ua-none');
	}
	jQueryobj.append(jQuerywr);
	set_entexFaderButtons(jQueryfaders.first().get(0));
	var jQuerybutton = null;

	if(jQueryobj.hasClass('entex-fader-buttons')){
		jQuerywr.removeClass('ua-none');
	}

	var n = 0;
	jQueryfaders.each(function(){
		n++;
		jQuerybutton = jQuery('<button />').addClass('ua-fader-button').data('fader', this).text(n);
		jQuerywr.append(jQuerybutton);
		jQuery(this).data('button', jQuerybutton.get(0));
		jQuerybutton.click(function(event){
			event.stopImmediatePropagation();
			jQueryroot = get_entexFader(this);
			if(jQueryroot.data('ua-is-fading')) return false;
			clear_entexFader(jQueryroot.get(0));
			jQueryroot.find('.ua-fn-index-next').removeClass('ua-fn-index-next');
			jQuery(jQuery(this).data('fader')).addClass('ua-fn-index-next');
			entexFader(jQueryfaders);
			return false;
		});
	});

	jQueryfaders.css('opacity', 0).first().css('opacity', 1).addClass('ua-fn-index-current').next().addClass('ua-fn-index-next');


	jQueryobj.on('mouseenter', function(){
		clear_entexFader(obj);
	}).on('mouseout', function(){
		clear_entexFader(obj);
		var faderTimer = setTimeout(function(){
			entexFader(jQueryfaders);
		}, duration);
		jQueryobj.data('ua-fader-timer', faderTimer);
	});

	jQueryobj.filter('.ua-unlink').click(function(event){
		var node = event.target.nodeName.toLowerCase();
		entexFader(jQueryfaders);
		return false;
	});

	jQueryobj.data('ua-faders', jQueryfaders);
	jQueryobj.data('ua-fader-timer', null);
	jQueryobj.data('ua-fader-duration', duration);
	jQueryobj.data('ua-is-fading', 0);

	// START //
	if(is_entexFader_inView(obj)){
		var faderTimer = setTimeout(function(){
			entexFader(jQueryfaders);
		}, duration);
		jQueryobj.data('ua-fader-timer', faderTimer);
	} else {
		jQuery(window).on('scroll', function(){
			if(is_entexFader_inView(obj)){
				clear_entexFader(obj);
				var faderTimer = setTimeout(function(){
					entexFader(jQueryfaders);
				}, duration);
				jQueryobj.data('ua-fader-timer', faderTimer);
			} else clear_entexFader(obj);
		});
	}
}

function set_entexFaderButtons(item){
	var el = jQuery(item).find('.post-thumbnail').get(0);
	var wr = jQuery(item).parent().find('.ua-fader-buttons-positioned').get(0);
	if(wr && el){
		var position = jQuery(el).position();
		jQuery(wr).css({
			'top': position.top + 'px',
			'left': position.left + 'px'
		});
	}
}

function get_entexFader(obj){
	return jQuery(obj).closest('.entex-fader');
}

function clear_entexFader(obj){
	var faderTimer = jQuery(obj).data('ua-fader-timer');
	if(faderTimer) clearTimeout(faderTimer);
	jQuery(obj).data('ua-fader-timer', null);
}

function entexFader(jQueryfaders){

	if(jQuery('body').hasClass('ua-fn-no-event')) return false;
	var jQueryobj = get_entexFader(jQueryfaders.get(0));
	if(jQueryobj.data('ua-is-fading')) return false;

	var faderTimer = jQueryobj.data('ua-fader-timer');
	if(faderTimer) clearTimeout(faderTimer);
	jQueryobj.data('ua-fader-timer', null);

	jQueryobj.data('ua-is-fading', 1);
	var jQueryfader = jQueryfaders.filter('.ua-fn-index-next');
	set_entexFaderButtons(jQueryfader.get(0));
	jQueryfader.css('z-index', '3').fadeTo('slow', 1, function(){
		
		
		jQueryfaders.filter('.ua-fn-index-current').css('opacity', '0').css('z-index', '').removeClass('ua-fn-index-current').parent().find('.ua-current-index').removeClass('ua-current-index');
		jQuery(this).removeClass('ua-fn-index-next').addClass('ua-fn-index-current').css('z-index', '2');
		jQuery(jQuery(this).data('button')).addClass('ua-current-index');

		if(jQuery(this).next().not('.ua-fader-buttons').get(0)){
			jQuery(this).next().addClass('ua-fn-index-next');
		} else {
			jQueryfaders.first().addClass('ua-fn-index-next');
		}
		
		faderTimer = setTimeout(function(){
			entexFader(jQueryfaders);
		}, jQueryobj.data('ua-fader-duration'));
		jQueryobj.data('ua-fader-timer', faderTimer);
		jQueryobj.data('ua-is-fading', 0);

	});
}
// Entex Theme main menu handler
// Applies to every menu in the DOM
// Adding hover indent, dropdown events, animations and other stuff
// In most cases, only nestled menues are parsed

function entex_init_menues(){ 

	jQueryA = jQuery('.ua-nav').find('a');
	jQueryEXP = jQuery('#ua-nav-expander');
	if(!jQueryEXP.get(0)) {
		//alert('Menu error: #ua-nav-expander id (The Menu button) must exists in script function entex_init_menues(). Menu dropdown disabled.');
		return;
	}

	// CSS Media queries handle the visibility of jQueryEXP toggle navigation button
	// Lets use the jQuery :visible selector to switch event functions on the same menu

	// First, add or remove items with instructions from Wordpress menu administration
	// Subpages below Limited pages are removed from the menu until the top level page is visited:

	jQueryA.filter('[rel*="limited"]').each(function(){
		if(jQuery(this).parent('li').get(0)){
			var jQueryp = jQuery(this).parent('li');
			if(jQueryp.hasClass('current-menu-item') || jQueryp.hasClass('current-menu-ancestor')){
			
			} else {
				jQuery(this).next('ul').remove();
			}
		}
	});

	// Top level pages are cloned and inserted as first subpage and named from the Title attribute:

	jQueryA.filter('[rel*="clone"]').each(function(){
		var jQuerycl = jQuery(this).clone(false, false);
		var href = jQuery(this).attr('href');
		var current = window.location.href;
		// Might use aria-current in wp instead
		jQuerycl.removeAttr('rel').removeAttr('class');
		var jQueryli = jQuery('<li />').append(jQuerycl);
		if(jQuery(this).attr('title')) jQuerycl.text(jQuery(this).attr('title'));
		if(href.match(current)) jQueryli.addClass('selected selected-onload');
		jQuery(this).next().prepend(jQueryli);
		jQuery(this).attr('rel', 'nofollow').attr('href', '#');
	});

	// Second, remove :hover statement and init selected onload
	// Add classes to the menu items instead of using the Wordpress massive built in versions
	// Add ua-active class to make it easier to combine event objectives

	jQueryA.next('ul').css('display', 'block').not('.selected > ul').hide();
	jQueryA.siblings('ul').siblings('a').addClass('ua-parent');
	jQueryA.filter('.ua-parent').parent('li.selected').addClass('ua-active');

	// Pre-filter and add som helper classnames to make the event faster
	jQueryA.filter('.ua-nav > ul > li > a').addClass('ua-fn-menu-root').filter('.ua-menu-mix a').addClass('ua-fn-menu-mix-root');

	// Close menues from ua-nav-onload-false 
	jQueryA.filter('.ua-nav-onload-false a.ua-parent.ua-fn-menu-root').parent().removeClass('selected ua-active').children('ul').hide().find('.selected-onload > ul').addClass('visible-onload');

	// Adjust accordion on custom categories walker, hide empty folder names/ links (li element)
	jQuery('.ua-nav.walker-label-only').find('li:not(:has("a.ua-file-link"))').remove();

	// Add Accordion to nestled menues, or only submenues, if top level is horizontal on current responsive view
	// Orientation changes while using menues transforms accordions to dropdowns by CSS, and vice versa

	jQuery(document).on('click', '.ua-nav a.ua-parent:not(".ua-nav-x a")', function(){

		// Global checkpoint
		if(jQuery('body').hasClass('ua-fn-no-event')) return false;

		// Bypass Top level (if) horizontal layout
		// And handle click event to entex_init_menuHover()
		if(jQuery(this).hasClass('ua-fn-menu-mix-root') && jQueryEXP.is(':hidden')) return true;

		var root = 0;
		var slide = 1;
		var menumix = 0;

		if(jQuery(this).hasClass('ua-fn-menu-root')) root = 1;
		if(jQuery(this).hasClass('ua-fn-menu-mix-root')) menumix = 1;
		if(menumix && jQueryEXP.is(':hidden')) slide = 0;
		if(!window.orientation && jQueryEXP.is(':hidden')) slide = 0;
 
		jQuery('.ua-active').not(jQuery(this).parents()).find('ul').not('.visible-onload').hide().parent().removeClass('ua-active');

		jQuery(this).parent().toggleClass('ua-active').children('a').siblings('ul').slideToggle('fast', function(){
			if(slide && root && !jQuery(this).parent().hasClass('ua-active')){
				jQuery('html, body').stop().animate({ scrollTop: (jQuery(this).parent().parent().offset().top) - 50 }, 500);
			} else if(slide){
				jQuery('html, body').stop().animate({ scrollTop: (jQuery(this).parent().offset().top) - 50 }, 500);
			}
		});

		return false;

	});

	if(jQuery('#ua-id-navigation .ua-menu-mix').get(0)){
		entex_init_menuHover();
	}

}

function entex_init_menuHover(){
	
	var ua_menues_timeout = null;
	jQueryEXP = jQuery('#ua-nav-expander');
	jQuery('body').data('ua-menu-mix-active', 0);

	// Class .ua-menuout CSS priority z-index should be 99

	// Init visible statement
	if(jQueryEXP.is(':hidden')){
		jQuery('.ua-menu-mix > ul > li.selected > ul').hide();
		//jQuery('.ua-menu-mix li li.selected > ul').show();
	}

	jQuery(document).on('click', '.ua-menu-mix > ul > li > a.ua-parent', function(e){

		if(jQueryEXP.is(':visible')) return true;
		e.stopImmediatePropagation(); 

		var jQueryul = jQuery(this).next('ul');
		jQueryul.css('margin-left', '0px').css('top', jQuery(this).parent().outerHeight());
		var left = jQuery(this).parent().offset().left;
		if(left < 30){
			jQueryul.css('margin-left', '20px');
		} else if((jQuery(window).width() - left) < jQueryul.outerWidth()){
			var w = jQueryul.outerWidth() + 10;
			var space = jQuery(window).width() - left;
			jQueryul.css('margin-left', '-' + (w - space) + 'px');
		}

		var active = jQuery('body').data('ua-menu-mix-active');
		if(!jQuery(this).parent('li').hasClass('ua-fn-sel')){
			if(active) entex_menuHover_close(active);
			jQuery('body').data('ua-menu-mix-active', jQueryul.get(0));
			jQuery(this).parent().addClass('ua-fn-sel');
			jQueryul.show().animate({'left': "-=20px"}, 'fast');
		} else {
			entex_menuHover_close(jQueryul.get(0));
			jQuery('body').data('ua-menu-mix-active', 0);
		}
		return false;	
	});

	jQuery(document).on('focus', 'a:not(.ua-fn-sel a)', function(){

		var active = jQuery('body').data('ua-menu-mix-active');
		if(active){
			entex_menuHover_close(active);
			jQuery('body').data('ua-menu-mix-active', 0);
		}
	});

	jQuery(document).on('mouseleave', '.ua-menu-mix > ul > li.ua-fn-sel', function(){
		if(jQueryEXP.is(':visible')) return true;
		var obj = jQuery(this).children('ul').get(0);
		ua_menues_timeout = setTimeout(function(){
			entex_menuHover_close(obj);
			var active = jQuery('body').data('ua-menu-mix-active');
			if(active == obj) jQuery('body').data('ua-menu-mix-active', 0);
		}, 700);
	});
	jQuery(document).on('mouseenter', '.ua-menu-mix > ul > li.ua-fn-sel', function(){
		if(jQueryEXP.is(':visible')) return true;
		if(ua_menues_timeout) clearTimeout(ua_menues_timeout);
	});
}

function entex_menuHover_close(obj){
	jQuery(obj).parent('li').removeClass('ua-fn-sel').removeClass('qselected');	
	jQuery(obj).stop(1, 1).animate({'left': '+=30px'}, 'fast', function(){
		jQuery(this).slideUp(200, function(){ 
			jQuery(this).hide().css('left', '0px').css('top', '').parent().removeClass('ua-menuout'); 
		});
	});
}


function entex_adminbarHoverintent(){
	jQuery(document).on('mouseenter', '#wpadminbar li', function(){
		jQuery(this).siblings('.hover').removeClass('hover');
		clearTimeout(jQuery(this).data('timeout'));
		jQuery(this).addClass('hover');
	});
	jQuery(document).on('mouseleave', '#wpadminbar li', function(){
		var jQuerythis = jQuery(this);
		var t = setTimeout(function() {
			jQuerythis.removeClass('hover');
		}, 1500);
		jQuery(this).data('timeout', t);
	}).data('timeout', null);
}

function ua_scrollTop(e){
	//if(e.target.tagName.toLowerCase() === 'a') return true;
	if(jQuery('body').hasClass('ua-is-splash')) return true;
	e.stopImmediatePropagation();
	jQuery('html, body').animate({ scrollTop: 1 }, 500);
	return false;
}
function entex_fillHeight(){ 

	if(jQuery('body').hasClass('ua-is-iframe')) return;
	if(jQuery('body').hasClass('ua-is-splash')) return;
	if(jQuery('body').hasClass('ua-fn-no-event')) return;

	var jQueryE = jQuery('#main-content');
	jQueryE.css('min-height', '');
	jQueryE.css('height', 'auto');
	// Borders not allowed
	jQueryE.css('border-width', '0px');

	var jQuerywr = jQuery('#ua-window-wr');
	jQuerywr.css('min-height', '');

	var mb = parseInt(jQuery('html').css('margin-top'));
	var mh = parseInt(jQuery('body').css('margin-top'));
	var mt = (mb + mh);

	var pt = parseInt(jQueryE.css('padding-top'));
	var pb = parseInt(jQueryE.css('padding-bottom'));
	var pa = (pt + pb);

	if(jQuery(window).height() > jQuerywr.outerHeight()){
		jQuery('body').data('entexResizing', 1);
		jQueryE.css('min-height', '');
		var br = 0;
		while(jQuery(window).height() > jQuerywr.outerHeight()){

			jQueryE.css('min-height', (jQuery(window).height()-jQuerywr.outerHeight()) + (jQueryE.height() + pa) + 'px');

			br++;
			if(br > 100) {
				var logg = ' ' + jQuerywr.outerHeight() + ' ';
				logg = logg + 'Current height: ' +  (jQuery(window).height()-jQuerywr.outerHeight()) + (jQueryE.height() + pa) + ' ';
				alert('Forced calculation break on window height ( ' + logg + ' ). The container #main-content has invalid CSS or specific browser BUG occured. Please report to Theme developer');
				break;
			}
		}
		// Adjust HTML | BODY margins
		if(mt) jQueryE.css('min-height', (jQueryE.height() - mt) + 'px');
		jQuery('body').data('entexResizing', null);
	}
}


