
// Updated 2015 05 29

//ua_TinyMCE_


UA_inliner_styleArray = new Array(
	'display', 
	'margin-top', 
	'margin-right', 
	'margin-bottom', 
	'margin-left', 
	'width', 
	'max-width',
	'min-width',
	'height', 
	'line-height', 
	'padding-top', 
	'padding-right', 
	'padding-bottom', 
	'padding-left', 
	'float', 
	'clear', 
	'background-color', 
	'background-image', 
	'background-position', 
	'background-repeat', 
	'border-top-width', 
	'border-right-width',
	'border-left-width',
	'border-bottom-width',
	'border-top-style', 
	'border-right-style',
	'border-bottom-style',
	'border-left-style',
	'border-top-color', 
	'border-right-color', 
	'border-bottom-color', 
	'border-left-color', 
	'color', 
	'font-family', 
	'font-size', 
	'font-weight', 
	'font-style', 
	'text-indent', 
	'text-align', 
	'text-transform', 
	'text-decoration', 
	'list-style-type', 
	'list-style-position', 
	'letter-spacing', 
	'bottom', 
	'position', 
	'top', 
	'left', 
	'overflow', 
	'right', 
	'visibility'
);

UA_inliner_txtArray = new Array( 
	'margin-top', 
	'margin-right', 
	'margin-bottom', 
	'margin-left', 
	'line-height', 
	'padding-top', 
	'padding-right', 
	'padding-bottom', 
	'padding-left',  
	'background-color', 
	'border-top-width', 
	'border-right-width',
	'border-left-width',
	'border-bottom-width',
	'border-top-style', 
	'border-right-style',
	'border-bottom-style',
	'border-left-style',
	'border-top-color', 
	'border-right-color', 
	'border-bottom-color', 
	'border-left-color', 
	'color', 
	'font-family', 
	'font-size', 
	'font-weight', 
	'font-style', 
	'text-indent', 
	'text-align', 
	'text-transform', 
	'text-decoration', 
	'list-style-type', 
	'list-style-position', 
	'letter-spacing',  
	'position',  
	'overflow', 
	'visibility'
);

UA_inliner_liteArray = new Array( 
	'margin-top', 
	'margin-right', 
	'margin-bottom', 
	'margin-left', 
	'line-height',  
	'color', 
	'font-family', 
	'font-size', 
	'font-weight', 
	'font-style', 
	'text-align', 
	'text-transform',  
	'letter-spacing',  
	'position'
);

function ua_inliner_set_style(root){
	var computed = '';
	var value = '';
	jQuerycollected = jQuery(root).find('*');
	if(!jQuerycollected.get(0)) return;
	
	if(jQuery(root).hasClass('ua-is-inline') || jQuery(root).find('[data-inliner]').get(0)){
		jQuerycollected.removeAttr('style').removeAttr('data-mce-style').removeAttr('data-inliner');
		jQuery(root).removeClass('ua-is-inline');
		alert('Style attributes removed');
		return;
	}

	jQuerycollected.each(function(){	
		value = ua_inliner_get_style(this);
		if(value && jQuery(this).attr('data-mce-style')) jQuery(this).attr('data-mce-style', value);
			else if(value) jQuery(this).attr('style', value);
	});
	jQuery(root).addClass('ua-is-inline');
	jQuery(jQuerycollected.get(0)).attr('data-inliner', 'inlined');
	alert('Style attributes added');
}

function ua_inliner_get_width(obj, value){
	if(jQuery(obj).is('.ua-float-left img')) return '100%';
	if(jQuery(obj).is('.ua-float-right img')) return '100%';
	if(jQuery(obj).is('.ua-float-full img')) return '100%';
	return '';
}

function ua_inliner_get_max_width(obj, value){	
	if(jQuery(obj).hasClass('image-wr')){
		if(jQuery(obj).hasClass('ua-float-left')) return '30%';
		if(jQuery(obj).hasClass('ua-float-right')) return '30%';
	}
	if(jQuery(obj).is('.image-wr img')) return '100%';
	return '';
}

function ua_inliner_get_min_width(obj, value){
	if(jQuery(obj).hasClass('image-wr')) return '10px';
	return '';
}

function ua_inliner_get_style(obj){
	var computed = '';
	var value = '';
	var image = 0;
	var SA = new Array();
	SA = UA_inliner_styleArray;
	var n = obj.nodeName.toLowerCase();
	
	function componentToHex(c) {
    		var hex = c.toString(16);
    		return hex.length == 1 ? "0" + hex : hex;
	}
	function rgbToHex(r, g, b) {
    		return "#" + componentToHex(r) + componentToHex(g) + componentToHex(b);
	}
	
	if(jQuery(obj).hasClass('image-wr')) image = 1;
	if(jQuery(obj).hasClass('br')) return 'clear: both; display: block; line-height: 0px;';
	if(jQuery(obj).is('.br *')) return '';
	if(!jQuery(obj).attr('class')){
		if(n == 'p') SA = UA_inliner_liteArray;
		if(n == 'h1') SA = UA_inliner_txtArray;
		if(n == 'h2') SA = UA_inliner_txtArray;
		if(n == 'h3') SA = UA_inliner_txtArray;
		if(n == 'h4') SA = UA_inliner_txtArray;
		if(n == 'h5') SA = UA_inliner_txtArray;
		if(n == 'h6') SA = UA_inliner_txtArray;
		if(n == 'ul') SA = UA_inliner_txtArray;
		if(n == 'li') SA = UA_inliner_txtArray;
		if(n == 'span') SA = UA_inliner_txtArray;
	}
	
	for(i = 0; i < SA.length; i++){
		var stl = SA[i];
		value = jQuery(obj).css(stl);
		
		if(stl == 'height') value = 'auto';
		if(stl == 'min-width') value = ua_inliner_get_min_width(obj, value);
		if(stl == 'max-width') value = ua_inliner_get_max_width(obj, value);
		if(stl == 'width') value = ua_inliner_get_width(obj, value);
		if (value.match(/^rgba/)) {
			
		} else if (value.match(/^rgb/)) {
			var a1 = value.split(')');
			var a2 = a1[0].split('(');
			ar = a2[1].split(',');
			value = rgbToHex(parseInt(ar[0]), parseInt(ar[1]), parseInt(ar[2]));
		}
		if(stl == 'font-family') value = 'Arial, Helvetica, sans-serif';
		if(n == 'h2' && stl == 'font-weight') value = '600';
		if(n == 'h2' && stl == 'font-size') value = '18px';
		if(n == 'p' && stl == 'line-height') value = '17px';
		if(image && stl == 'padding-bottom' && !parseInt(value)) value = '10px';
		if(value) computed += stl + ': ' + value + '; ';
	}
	return computed;
}

	
(function() {  

	tinymce.PluginManager.add( 'ua_inliner', function( ed, url ) {
  
			ed.addButton('ua_inliner', {  
                title : ed.getLang('ua_inliner.ua_inliner_title'),
				text : ed.getLang('ua_inliner.ua_inliner_text'), 
				icon : false,
				onclick : function() {  
					ua_inliner_set_style(ed.getBody());
					return true;
                }  
            });  
    });
})();
