<?php if(!defined('ABSPATH')) die(); ?>
<?php
/**
 * The Attachment Singular template part
 * Registered as default template
 *
 * @package Entex
 * @subpackage Entex
 * @version 2.10610
 *
 * Note:
 * This is a singular main template
 * Can only be included ONCE as it contains ID
 */
?>
<?php do_action('entex_template_before_template', 0, '', __FILE__, entex_backtrace()); ?>
<article data-permalink="<?php echo esc_url(get_permalink()); ?>" id="main-article" class="<?php entex_template_output_post_class(array('hentry')); ?>">
 <header id="main-header" class="singular-header">
  <?php do_action('entex_template_before_singular_title', 2); ?>
  <h1 class="singular-title"><?php echo wp_kses_post(entex_template_get_the_title()); ?></h1>
  <?php entex_template_output_subtitle(2); ?>
  <?php entex_template_output_singular_meta(2, 'ua-meta ua-main-meta'); ?>
  <?php do_action('entex_template_after_singular_title', 2); ?>
 </header>
 <div id="main-content" class="<?php entex_template_output_singular_class(array('ua-singular-content', 'ua-content')); ?>">
  <?php do_action('entex_template_before_singular_content', 2); ?>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: --><!-- Visual editor -->

<?php the_content(); ?>

<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: --><!-- END Visual editor -->
  <?php do_action('entex_template_after_singular_content', 2); ?>
  </div>
</article>
<?php do_action('entex_template_singular_end', 0); ?>
<?php do_action('entex_template_after_template', 0, '', entex_backtrace(), false); ?>