<?php if(!defined('ABSPATH')) die(); 
/**
 *
 * Template Name: Entries Daniel | RSS
 * Template Post Type: template-entries
 *
 * The default Archive template part
 * Registered as default template
 *
 * @package Entex
 * @subpackage Entex
 * @author Jonas Lundman
 * @documentation entex.info
 * @development intervik.com
 * @version 2.200612
 * #e54f4f
 *
 */
?>
<?php

	$flex = false;
	$_MORE = false;
	$_LENGTH = '320';
	$_TITLE_CLASS = 'entry-heading';
	$_TEMPLATE_CLASS = 'ua-wr-grid ua-tmpl-daniel ua-is-closed ua-attachment-fixed ua-hide-extended-title';

	$add = '';
	entex_STL($add, __FILE__);
?>
<?php do_action('entex_template_before_template', 0, '', __FILE__, entex_backtrace()); ?>
<?php if($flex && $args['start']) echo '<div class="ua-flex">'; ?>
<article id="post-<?php the_ID(); ?>" class="<?php entex_template_output_post_class(array('hentry', $_TEMPLATE_CLASS)); ?>">
 <?php entex_template_output_entry_pre_header(1, array('empty' => true)); ?>
 <?php entex_template_output_entry_post_thumbnail(1, 'medium_large', $data = array('empty' => false, 'figure' => false, 'caption' => false, 'classname' => 'ua-fr-row-2', 'role' => false)); ?>
 <header class="ua-fr-row-2 ua-expander-open">
  <?php do_action('entex_template_before_entry_title', 2); ?>
  <h2 class="entry-title <?php echo esc_attr($_TITLE_CLASS); ?>"><a href="<?php echo esc_url(get_permalink()); ?>" rel="bookmark"><?php echo wp_kses_post(entex_template_get_the_title()); ?></a></h2>
  <?php entex_template_output_subtitle(2); ?>
  <?php do_action('entex_template_after_entry_title', 2); ?>
 </header>
 <?php entex_template_output_entry_meta(1, array('classname' => 'ua-fr-row-3 ua-fr-pad')); ?>
 <?php entex_template_output_entry_excerpt(2, array('classname' => 'ua-fr-row-4 ua-expander-open', 'more' => $_MORE, 'empty' => true, 'loop' => true, 'length' => $_LENGTH)); ?>
 <?php //if(!$_MORE) entex_template_output_entry_content(2); ?>
 <?php entex_template_output_entry_gallery(1, array('native' => true, 'size' => 'medium', 'format' => array('status', 'gallery'), 'id' => null, 'classname' => 'ua-fr-row-4')); ?>
 <?php do_action('entex_template_before_entry_end', 1); ?>
 <?php 
	entex_OUT(entex_CMN(0, 'template part - if in the loop'));
	if(in_the_loop()) get_template_part('tmpl-defaults/tmpl-entries-footer', get_post_type(), $args); 
 ?>
</article>
<?php if($flex && $args['end']) echo '</div>'; ?>
<?php do_action('entex_template_after_template', 0, '', __FILE__, entex_backtrace()); ?>
