<?php if(!defined('ABSPATH')) die(); ?>
<?php
/**
 * Template Name: Entries link | heading, subtitle and excerpt | Outbound subtitle filter
 * Template Post Type: template-entries
 *
 * @package Entex
 * @subpackage Entex
 * @author Jonas Lundman
 * @documentation entex.info
 * @development intervik.com
 * @version 2.200526
 *
 */
?>
<?php
/**
 * Original: tmpl-default/tmpl-entries-nav-link.php
 * Sortable within: Entries (template-entries)
 */
?>
<?php
/**
 * Simple paragraph heading with excerpt
 * Showing subtitle, if exsist
 * If subtitle is an URL, The permalink is filtered to this url
 * And opens the URL in separate window / tab
 * Wrapped only in div element
 * As this template can be suitable within the document content flow
 * And not treated by SEO as aside
 */
?>
<!-- ——————————————————————————————————————————————————————————————————————————————————————————————————————————————— -->
<?php do_action('entex_template_before_template', 0, '', __FILE__, entex_backtrace()); ?>
<?php entex_template_add_filter_subtitle_url(); ?>
<div class="<?php entex_template_output_post_class(array('')); ?>">
 <h3 class='entry-title'><a href='<?php echo esc_url(get_permalink()); ?>' rel='bookmark'<?php echo wp_kses_post(entex_theme_get_target_subtitle_url()); ?>><?php echo wp_kses_post(entex_template_get_the_title()); ?></a></h3>
 <?php entex_template_output_subtitle(1); ?>
 <?php entex_template_output_entry_excerpt(1); ?>
</div>
<?php entex_template_remove_filter_subtitle_url(); ?>