<?php if(!defined('ABSPATH')) die();
/**
 * Entex Theme options and definitions
 * NOTE: All settings here are 'not in use'
 * Means, COPY what you need to your child theme
 * and un-comment the definition there
 * ONLY simple 'try' and 'see' temporary uncomment here
 *
 * 
 * @package Entex
 * @subpackage Entex
 * @since entex 1.0
 * @version 2.10710
 *
 *
 * Documentation: http://entex.info
 * Author: Jonas Lundman
 *
**/

/* -------------------- */
// OLD TINY-MCE EDITOR AND METABOXES
/* Uncomment to NOT use Gutenberg interface */
/* NOTE: If previous theme did NOT used Gutenberg */
/* Move / drag meta boxes from 'above' position to the 'side' */
/* Otherwise they will be ignored (hidden) by Gutenberg due BUG */
/* We recommend to also use the Entex classic interface plugin */
//define('ENTEX_CLASSIC_EDITOR_INTERFACE', true);
//define('ENTEX_THEME_TINYMCE_NO_CACHE', true);



/* -------------------- */
// DISABLE COMMENTS ON PAGES or ATTACHMENTS
/* NOTE: The templates might not render the comment template */
//define('ENTEX_COMMENTS_IS_PAGE_DISABLE', true);
//define('ENTEX_COMMENTS_IS_ATTACHMENT_DISABLE', true);



/* -------------------- */
// COMMENTS TOP NAVIGATION
/* Classic Older / Newer comments pagination */
/* if enbled, number pagination on top is not generated */
//define('ENTEX_COMMENTS_NAVIGATION_ENABLE', true);



/* -------------------- */
// WHEN ONLY ONE AUTHOR
//define('ENTEX_DISABLE_ENTRY_META', true);
//define('ENTEX_DISABLE_ENTRY_GALLERY', true);



/* -------------------- */
// IGNORE SHORT ARCHIVE DESCRIPTIONS
/* Handy if they are only back-end notes */
//define('ENTEX_DISABLE_SHORT_ARCHIVE_DESCRIPTION', true);
//define('ENTEX_DISABLE_SHORT_ARCHIVE_DESCRIPTION_THRESHOLD', 32);



/* -------------------- */
// GLOBAL PAGE MESSAGE
// define('ENTEX_GLOBAL_PAGE_MESSAGE', 'This site is under construction and is not complete');



/* -------------------- */
// POST DATA
//define('ENTEX_FILTER_REDUNDANCY_POSTS', true);


/* -------------------- */
// POST EDIT LINK

/* Disable the theme to generate the links on front end */
//define('ENTEX_THEME_EDIT_POST_LINK_FALSE', true);

/* As default, this theme open edit post link backend in another tab */
//define('ENTEX_THEME_EDIT_POST_LINK_TARGET_FALSE', true);



/* -------------------- */
// POST DATA EXTENDED
//define('ENTEX_EXTENDED_TEMPLATES_ENABLE', true);
//define('ENTEX_EXTENDED_TEMPLATES_DISABLE_AUTHOR', true);
//define('ENTEX_EXTENDED_TEMPLATES_DISABLE_SEARCH', true);
//define('ENTEX_EXTENDED_TEMPLATES_DISABLE_DATE', true);
//define('ENTEX_EXTENDED_TEMPLATES_DISABLE_TAXONOMY', true);
/* force enable */
//define('ENTEX_EXTENDED_TEMPLATES_ENABLE_MORE_FIRST', true);

/* use specialized template part for more within the whole loop on 'blog' home */
//define('ENTEX_EXTENDED_TEMPLATES_ENABLE_MORE_ON_HOME', true);



/* -------------------- */
// SHOW CHILD TEMPLATES ONLY - Child theme related
/*
 * This will only SHOW templates by the child theme
 * inside the select template dropdown(s)
 *
**/
//define('ENTEX_TEMPLATE_USE_CHILD_THEME_ONLY', true);



/* -------------------- */
// AUTOMENU (PAGES) removes the sidebar widgets as default
//define('ENTEX_THEME_PAGE_AUTOMENU_KEEP_DEFAULT_SIDEBAR', true);



/* -------------------- */
// OPTIONS BREADCRUMBS

/* force theme to not render the simple open graph meta */
/* Not in use if YOAST is active as the theme already checked this */
//define('ENTEX_OPENGRAPH_DISABLE', true);

/* Disable Entex own breadcrumbs and schema */
/* Not in use if YOAST is active as the plugin has settings for this */
//define('ENTEX_BREADCRUMBS_DISABLE', true);

//define('ENTEX_BREADCRUMBS_HIDE', true);
//define('ENTEX_BREADCRUMBS_HIDE_HOME_WITHIN', true);
//define('ENTEX_BREADCRUMBS_HIDE_HOME_ON_HOME', true);
//define('ENTEX_BREADCRUMBS_HIDE_ARCHIVE_WITHIN', true);
//define('ENTEX_BREADCRUMBS_SHOW_ALL', true);
//define('ENTEX_BREADCRUMBS_PRIMARY_MENU', true);
//define('ENTEX_SCHEMA_DISABLE', true);



/* -------------------- */
// DISABLE SHORTCUT TABS
/* Default labels applied in entex-template-filters.php */
//define('ENTEX_TEMPLATE_SHORTCUT_TABS_DISABLE', true);




/* -------------------- */
// OPTIONS THEME DEVELOPMENT
/* Only affected when user is administrator */

//define('ENTEX_SOURCECODE_COMMENT_DISABLE', true);
//define('ENTEX_SOURCECODE_COMMENT_ACTION_DISABLE', true);
//define('ENTEX_SOURCECODE_BACKTRACE_ENABLE', true);



/* -------------------- */
// WordPress on LOCALHOST problem:
/* cURL error 60: SSL certificate problem: self signed certificate */
/* Use this if customizer Font control appears empty */
//define('ENTEX_SSL_VERIFY_FALSE_ENABLE', true);



/* -------------------- */
// MENU AND WALKER CLEANUP
/* disable menu and walker cleanup */
/* Not recommended - entex stylesheet depends on this */
//define('ENTEX_CLEANUP_NAVIGATION_ITEMS_DISABLE', true);




/* -------------------- */
// DISABLE TERM VALIDATION
/* As default, force category name always save with first letter capitalized */
/* As default, force tags always saved as lowercase */
//define('ENTEX_VALIDATE_TERM_DISABLE', true);



/* ------------------------------------------------------------- */
// CUSTOMIZER

/* -------------------- */
// OPTIONS CUSTOMIZER
//define('ENTEX_THEME_CUSTOMIZER_DEBUG_PREVIEW', true);
//define('ENTEX_THEME_CUSTOMIZER_REMOVE_EDIT_BUTTONS', true);

// ONCE run with manually add query string: ?reset_theme_mods
//define('ENTEX_THEME_DELETE_CUSTOMIZER_DATA', true);

// If delete, keep menu and widget settings: 
//define('ENTEX_THEME_PRESERVE_CUSTOMIZER_WIDGET_MENUES', true);

/* Restart session or continue from last time */
/* Uncomment to stop 'continue' WordPress default */
//define('ENTEX_THEME_CUSTOMIZER_CHANGESET_REMOVE_CONTINUE', true);

//define('ENTEX_THEME_CUSTOMIZER_GOOGLE_FONTS_FALLBACK', 'arial, helvetica, sans-serif');

/* ******************** */

// -- END FILE -- //