<?php if(!defined('ABSPATH')) die();
/**
 *
 * Specialised template part file
 * Extending: tmpl-entries-article.php
 * Specialised for post-type: product (Woocommerce)
 * Fallback: tmpl-entries-article.php
 * Fallback exists: Yes
 *
 * Default parent: index.php
 *
 * @package Entex
 * @subpackage Entex
 * @version 2020 10 15
 *
 */
?>
<?php
/**
 *
 * NOTE: This template is using the ua-grid class
 * That means it needs a parent wrapper with column- class
 * Woocommerce pages renders the wrapper as default
 *
 * If you wanna assign post type product outside the woocommerce scope,
 * Use: tmpl-entries/tmpl-entries-product.php
 *
 * NOTE: This template render product search results
 * As 'pages' cannot be filtered out by query due bug
 * This template return empty on non-product entries
 * Drawback is pagination, but we survive until wooommerce fix this
 *
**/
?> 
<?php

/* product setup */
do_action('woocommerce_shop_loop');
global $product;
if(empty($product) || !$product->is_visible()) return;

?>
<?php do_action('entex_template_before_template', 0, '', __FILE__, entex_backtrace()); ?>
<article data-permalink="<?php echo esc_url(get_permalink()); ?>" id="post-<?php the_ID(); ?>" class="<?php entex_template_output_post_class(array('hentry', 'ua-is-product', 'ua-grid', 'ua-not-main', 'ua-article-medium', 'ua-expander', 'ua-heading-small')); ?>">
 <?php entex_template_output_entry_pre_header(1); ?>
 <?php do_action('entex_template_before_entry_header', 1); ?>
 <header class='entry-header'>
  <?php do_action('entex_template_before_entry_title', 2); ?>
  <h2 class='entry-title'><a href='<?php echo esc_url(get_permalink()); ?>' rel='bookmark'><?php echo wp_kses_post(entex_template_get_the_title()); ?></a></h2>
  <?php entex_template_output_subtitle(2, 'ua-not-main'); ?>
  <?php entex_template_output_entry_meta(2, 'ua-not-main'); ?>
  <?php do_action('entex_template_after_entry_title', 2); ?>
 </header>
 <div class="ua-content ua-wr-left">
  <?php do_action('entex_template_before_entry_content', 2); ?>
  <?php entex_template_output_entry_post_thumbnail(2, 'medium', true, false); ?>
  <?php entex_template_output_entry_gallery(2); ?>
  <?php do_action('entex_template_product_column_left_end', 2); ?>
 </div>
 <div class="ua-content ua-wr-right ua-not-main">
  <?php woocommerce_template_loop_price(); ?>
  <?php do_action('entex_template_before_entry_excerpt', 1); ?>
  <?php entex_template_output_entry_excerpt(1, true, false); ?>
  <?php do_action('entex_template_after_entry_excerpt', 1); ?>
  <div class="entry-buttons ua-wrapper"><?php do_action('woocommerce_after_shop_loop_item'); ?></div>
  <?php woocommerce_template_loop_rating(); ?>
  <?php do_action('entex_template_product_column_right_end', 2); ?>
 </div>
 <?php do_action('entex_template_after_entry_content', 1); ?>
 <?php 
	entex_OUT(entex_CMN(0, 'template part - if in the loop'));
	/* note: product variations have post type: product_variation */
	if(in_the_loop()) get_template_part('tmpl-defaults/tmpl-entries-footer', get_post_type(), $args); 
 ?>
</article>
<?php do_action('entex_template_after_template', 0, '', __FILE__, entex_backtrace()); ?>
